# osgtexture3D.cpp File Reference

`#include <osg/Node>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osg/Texture3D>`
`#include <osg/TexGen>`
`#include <osg/Geode>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgtexture3D.cpp:

## Typedefs

typedef std::vector< osg::ref_ptr< osg::Image > > | ImageList

## Functions

osg::Drawable * | createSquare (float textureCoordMax=1.0f)
| create 2,2 square with center at 0,0,0 and aligned along the XZ plan
osg::Node * | createModel ()
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::vector< osg::ref_ptr<osg::Image> > ImageList

## Function Documentation

osg::Node* createModel | ( |  | ) |

osg::Drawable* createSquare | ( | float | textureCoordMax = `1.0f` | ) |

| create 2,2 square with center at 0,0,0 and aligned along the XZ plan

int main | ( | int | argc,
|  | char ** | argv
| ) |